//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
// Copyright (c) 2015-2019, Lawrence Livermore National Security, LLC.
//
// Produced at the Lawrence Livermore National Laboratory
//
// LLNL-CODE-716457
//
// All rights reserved.
//
// This file is part of Ascent.
//
// For details, see: http://ascent.readthedocs.io/.
//
// Please also read ascent/LICENSE
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// * Redistributions of source code must retain the above copyright notice,
//   this list of conditions and the disclaimer below.
//
// * Redistributions in binary form must reproduce the above copyright notice,
//   this list of conditions and the disclaimer (as noted below) in the
//   documentation and/or other materials provided with the distribution.
//
// * Neither the name of the LLNS/LLNL nor the names of its contributors may
//   be used to endorse or promote products derived from this software without
//   specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL LAWRENCE LIVERMORE NATIONAL SECURITY,
// LLC, THE U.S. DEPARTMENT OF ENERGY OR CONTRIBUTORS BE LIABLE FOR ANY
// DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
// OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
// IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//


//-----------------------------------------------------------------------------
///
/// file: ascent_config.h
///
//-----------------------------------------------------------------------------

#ifndef ASCENT_CONFIG_H
#define ASCENT_CONFIG_H

#define ASCENT_INSTALL_PREFIX "/usr/local"

#define ASCENT_VERSION "0.7.0"

/* #undef ASCENT_GIT_SHA1 */
/* #undef ASCENT_GIT_SHA1_ABBREV */
/* #undef ASCENT_GIT_TAG */

#define ASCENT_SYSTEM_TYPE "FreeBSD-12.2-RELEASE-p11"

#define ASCENT_CPP_COMPILER "/usr/bin/c++"

#define ASCENT_FORTRAN_COMPILER "/usr/local/bin/gfortran10"

// this path points to the web client js code tree
#define ASCENT_SOURCE_WEB_CLIENT_ROOT   "/wrkdirs/usr/ports/science/ascent/work/ascent-0.7.1/src/ascent/web_clients"

// defs for general openmp support
/* #undef ASCENT_USE_OPENMP */

// defs for runtime support based on which 3rd-party libs we have

/* #undef ASCENT_VTKH_ENABLED */

/* #undef ASCENT_VTKM_ENABLED */
/* #undef ASCENT_VTKM_USE_CUDA */
/* #undef ASCENT_VTKM_USE_OPENMP */


/* #undef ASCENT_ADIOS_ENABLED */
/* #undef ASCENT_MFEM_ENABLED */
/* #undef ASCENT_DRAY_ENABLED */
#define ASCENT_HDF5_ENABLED      "TRUE"
/* #undef ASCENT_PYTHON_ENABLED */
//-----------------------------------------------------------------------------
//
// #define platform check helpers
//
//-----------------------------------------------------------------------------

#if defined(WIN32) || defined(_WIN32) || defined(__WIN32) && !defined(__CYGWIN__)

#define ASCENT_PLATFORM_WINDOWS
#elif  defined(__APPLE__)
#define ASCENT_PLATFORM_APPLE
#else
#define ASCENT_PLATFORM_UNIX
#endif


#endif



